.related-posts {
	display: block;
	position: relative;
	margin: 1.2rem 0;

	& .top-wrap {
		display: flex;
		justify-content: space-between;
		align-items: center;

		& .link-wrap {
			& .link {
				display: inline-block;
				font-weight: 500;
				font-size: 0.18rem;
				line-height: 100%;
				letter-spacing: -0.02em;

				&::after {
					display: none;
				}
			}
		}
	}

	& .posts {
		display: grid;
		grid-template-columns: repeat(2, 1fr);
		gap: 0.2rem;
		row-gap: 1.2rem;
		margin-top: 0.4rem;
	}

	& .mobile-link {
		display: none;
	}

	@media screen and (max-width: 768px) and (orientation: portrait) {
		margin: 0.8rem 0;

		& .top-wrap {
			display: flex;
			justify-content: space-between;
			align-items: center;

			& .link-wrap {
				display: none;
				& .link {
					&::after {
						display: none;
					}
				}
			}
		}

		& .posts {
			grid-template-columns: 1fr;
			row-gap: 0.6rem;
			margin-top: 0.3rem;
		}

		& .mobile-link {
			display: inline-block;
			width: 100%;
			display: flex;
			justify-content: center;
			margin-top: 0.4rem;
		}
	}
}